<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: json_reader.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('json__reader_8hpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">json_reader.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="json__reader_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#pragma once</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;json.hpp&gt;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160; </div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="classMediaReader.html">   20</a></span>&#160;<span class="keyword">class </span><a class="code" href="classMediaReader.html">MediaReader</a></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;{</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;  <span class="keyword">private</span>:</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    nlohmann::json media_file;</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    std::string read_element(uint8_t x, uint8_t y, std::string key);</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160; </div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;  <span class="keyword">public</span>:</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classMediaReader.html#a18085972f9333f91a8154a291ca8cebb">set_file</a>(std::string file_path);</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classMediaReader.html#a352b413f2fb5352081270de914a5d0f7">contains_value</a>(std::string value);</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classMediaReader.html#abb08358a7d90598fd96c449d5e947bb5">is_empty</a>(uint8_t x, uint8_t y);</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    std::string <a class="code" href="classMediaReader.html#aea6a1fb36ab4af46b61f56925ba9e82d">get_path</a>(uint8_t x, uint8_t y);</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    std::string <a class="code" href="classMediaReader.html#a42aa75542d95e7f42c1e25d44e192591">get_identifier</a>(uint8_t x, uint8_t y);</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;};</div>
<div class="ttc" id="aclassMediaReader_html"><div class="ttname"><a href="classMediaReader.html">MediaReader</a></div><div class="ttdoc">class containing methods to set the file, return and check for its elements</div><div class="ttdef"><b>Definition:</b> json_reader.hpp:21</div></div>
<div class="ttc" id="aclassMediaReader_html_a18085972f9333f91a8154a291ca8cebb"><div class="ttname"><a href="classMediaReader.html#a18085972f9333f91a8154a291ca8cebb">MediaReader::set_file</a></div><div class="ttdeci">void set_file(std::string file_path)</div><div class="ttdoc">public methods to do the following: to set the file to check whether file contains a key to check whe...</div><div class="ttdef"><b>Definition:</b> json_reader.cpp:24</div></div>
<div class="ttc" id="aclassMediaReader_html_a352b413f2fb5352081270de914a5d0f7"><div class="ttname"><a href="classMediaReader.html#a352b413f2fb5352081270de914a5d0f7">MediaReader::contains_value</a></div><div class="ttdeci">bool contains_value(std::string value)</div><div class="ttdoc">checks whether file contains given value or not</div><div class="ttdef"><b>Definition:</b> json_reader.cpp:50</div></div>
<div class="ttc" id="aclassMediaReader_html_a42aa75542d95e7f42c1e25d44e192591"><div class="ttname"><a href="classMediaReader.html#a42aa75542d95e7f42c1e25d44e192591">MediaReader::get_identifier</a></div><div class="ttdeci">std::string get_identifier(uint8_t x, uint8_t y)</div><div class="ttdoc">returns identifier at given position</div><div class="ttdef"><b>Definition:</b> json_reader.cpp:109</div></div>
<div class="ttc" id="aclassMediaReader_html_abb08358a7d90598fd96c449d5e947bb5"><div class="ttname"><a href="classMediaReader.html#abb08358a7d90598fd96c449d5e947bb5">MediaReader::is_empty</a></div><div class="ttdeci">bool is_empty(uint8_t x, uint8_t y)</div><div class="ttdoc">checks whether an element at given position is empty or not</div><div class="ttdef"><b>Definition:</b> json_reader.cpp:85</div></div>
<div class="ttc" id="aclassMediaReader_html_aea6a1fb36ab4af46b61f56925ba9e82d"><div class="ttname"><a href="classMediaReader.html#aea6a1fb36ab4af46b61f56925ba9e82d">MediaReader::get_path</a></div><div class="ttdeci">std::string get_path(uint8_t x, uint8_t y)</div><div class="ttdoc">returns path at given position</div><div class="ttdef"><b>Definition:</b> json_reader.cpp:97</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_a7bb9b575703809b9fbb7ad7f723668f.html">local_app</a></li><li class="navelem"><a class="el" href="dir_d88d79efde80b6be31bde64d01fcf743.html">general_tools</a></li><li class="navelem"><a class="el" href="dir_b285aa251bdd6d1bd09ddb4753f35972.html">include</a></li><li class="navelem"><a class="el" href="json__reader_8hpp.html">json_reader.hpp</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
